Subject: Bug#526: [X2Go-Dev] Bug#526: Included PulseAudio consumes too much CPU when launched with high priority

From: Mike Gabriel <[email-masked]>
Date: Sun, 29 Jun 2014 15:03:17 +0000

Control: tag -1 build-win32

Hi Nable,

On  So 29 Jun 2014 16:04:42 CEST, Nable 80 wrote:

> Package: x2goclient
> Version: 4.0.2.0
>
> When I use sound forwarding and launch inside X2Go session some application
> with sound support, pulseaudio.exe at client side starts consuming ~100% CPU.
> By default, X2Go Client starts pulseaudio.exe with high priority (13).
> When I set priority to "Above Normal (10)" PA's CPU load drops to 10-20%.
> With "Normal (8)" it drops to almost 0%, although sound is still  
> played stable,
> without any additional delays.
>
> I'm using WinXP SP3 (32-bit) on my laptop with single core CPU.
> This issue seems to be "PulseAudio 5.0 && WinXP"-specific.

thanks for handing this one in.

Our PA expert will take a look at that (I hope!).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb